2021-01-26 18:28 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004532Spring engineGeneralpublic2014-09-06 14:43
ReporterBeherith 
Assigned Tocleanrock 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version97.0.1+git 
Target Version98.0Fixed in Version 
Summary0004532: 97.0.1-360-ge3d46de cons guarding other constructors that are building things stop out of building range
DescriptionCons guarding other constructors that are building things stop out of building range.
Steps To Reproduce/give 2 corck
Queue up a few buildings all around, and have the other con guard this. The guarding constructor will often stop outside of building range and not assist.
Additional InformationReplay with BA8.00, DSD, 97.0.1-360-ge3d46de engine.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0013598

abma (administrator)

sorry, i don't see why this is a major bug. its VERY annoying, i agree and should be fixed.

~0013601

jK (developer)

I won't fix it, too complicated to bisect the causing commit

~0013602

Google_Frog (reporter)

I have a consistent method of reproducing this. I demonstrated it in this replay:
Replay: 20140906_213308_ScorpioBattleground_97.0.1-27-g0447d3e develop
Game: Zero-K v1.2.9.4

A symptom of the problem is that guarding units stop further away from their target than they used to. If they stop further away then they can fail to do guard tasks such as assisting construction and repairing damaged units.

I have bisected the issue to between 97.0.1-24-g93bd67d and 97.0.1-27-g0447d3e because those are the closest two versions that I had already downloaded. I think that these two commits are the culprits:
https://github.com/spring/spring/commit/aa3e4886cd469dec10a79607bd8a78f0346634c6
https://github.com/spring/spring/commit/0447d3ecbea96ea8edaabb44e28b1b73b31a7b2b
+Notes

-Issue History
Date Modified Username Field Change
2014-09-04 13:24 Beherith New Issue
2014-09-04 13:24 Beherith File Added: 20140904_132340_DeltaSiegeDry_97.0.1-360-ge3d46de develop.sdf
2014-09-05 00:51 abma Severity major => minor
2014-09-05 00:54 abma Note Added: 0013598
2014-09-05 00:59 abma Target Version => 98.0
2014-09-06 10:07 jK Note Added: 0013601
2014-09-06 13:37 Google_Frog Note Added: 0013602
2014-09-06 13:37 Google_Frog File Added: 20140906_213308_ScorpioBattleground_97.0.1-27-g0447d3e develop.sdf
2014-09-06 14:43 cleanrock Changeset attached => spring develop 82f77a85
2014-09-06 14:43 cleanrock Assigned To => cleanrock
2014-09-06 14:43 cleanrock Status new => resolved
2014-09-06 14:43 cleanrock Resolution open => fixed
+Issue History